summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorIan Delaney <idella4@gentoo.org>2015-12-30 20:48:58 +0800
committerIan Delaney <idella4@gentoo.org>2015-12-30 20:51:11 +0800
commit5a001b1ee17b63595720db1ad41364bb4e135b63 (patch)
tree34a424d1fd72c7fc99ebb24d6d5b4c29dc6d4a67
parentdev-perl/Config-Tiny: Remove old (diff)
parentdev-python/tempora: use a hardblocker against dev-python/jaraco-utils (diff)
downloadgentoo-5a001b1ee17b63595720db1ad41364bb4e135b63.tar.gz
gentoo-5a001b1ee17b63595720db1ad41364bb4e135b63.tar.bz2
gentoo-5a001b1ee17b63595720db1ad41364bb4e135b63.zip
Merge remote-tracking branch 'remotes/sbraz/irc'
Pull request: https://github.com/gentoo/gentoo/pull/573
-rw-r--r--dev-python/irc/Manifest1
-rw-r--r--dev-python/irc/irc-11.0.1.ebuild4
-rw-r--r--dev-python/irc/irc-13.2.ebuild51
-rw-r--r--dev-python/irc/metadata.xml9
-rw-r--r--dev-python/jaraco-utils/jaraco-utils-10.0.2.ebuild4
-rw-r--r--dev-python/tempora/tempora-1.4.ebuild2
6 files changed, 65 insertions, 6 deletions
diff --git a/dev-python/irc/Manifest b/dev-python/irc/Manifest
index e72011f3c78..3584a40bc33 100644
--- a/dev-python/irc/Manifest
+++ b/dev-python/irc/Manifest
@@ -1 +1,2 @@
DIST irc-11.0.1.zip 120409 SHA256 25d818003780fd6d62e93d3ff32580e74c0e527c6290ae14b47af50b58339233 SHA512 fca2fe653d921c9ec65dfb2b072c16658d88d4a22ae91568b1eaf722a90179920808db157f587afe6de0055af3a04a528eb9022122e539150e5635f05b58f466 WHIRLPOOL dd9b9e8624e6bd86d27fead1f3006a2b80832d236ad21f50c147c07a27b2cc4933d68efd951dece44398dbc0299b73ba7a98e4eff2061d0e3a8a01833518113b
+DIST irc-13.2.tar.gz 81594 SHA256 247e14fe9d7e25b41b2af39a81e5ced10bd45da44f4a86505d4f02895d710552 SHA512 e0472eea9186d549d2c3a6733d623161f94a905627d32878f02a50198b29cc5fc5a1a1636d7d1b3432b56ac42d4f48efd32285ebe80f8a7a8311a923795688bd WHIRLPOOL cec6e5505f9461c6b16c6fabc1cac406fd99e718733512112da50bb34a87b50b12d3529f09cc40ee7a4a97871bf28417f030fa418fcf415d59fcaa416eefb1ba
diff --git a/dev-python/irc/irc-11.0.1.ebuild b/dev-python/irc/irc-11.0.1.ebuild
index e1e0f5e4227..773979976c8 100644
--- a/dev-python/irc/irc-11.0.1.ebuild
+++ b/dev-python/irc/irc-11.0.1.ebuild
@@ -8,10 +8,10 @@ PYTHON_COMPAT=( python{2_7,3_3,3_4} )
inherit distutils-r1
DESCRIPTION="IRC client framework written in Python"
-HOMEPAGE="https://bitbucket.org/jaraco/irc https://pypi.python.org/pypi/irc"
+HOMEPAGE="https://github.com/jaraco/irc"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.zip"
-LICENSE="LGPL-2.1"
+LICENSE="MIT"
SLOT="0"
KEYWORDS="amd64 x86"
IUSE="examples test"
diff --git a/dev-python/irc/irc-13.2.ebuild b/dev-python/irc/irc-13.2.ebuild
new file mode 100644
index 00000000000..79adeae477d
--- /dev/null
+++ b/dev-python/irc/irc-13.2.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python{2_7,3_4,3_5} )
+
+inherit distutils-r1
+
+DESCRIPTION="IRC client framework written in Python"
+HOMEPAGE="https://github.com/jaraco/irc"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc examples test"
+
+RDEPEND="
+ !>=dev-python/python-irclib-3.2.2[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+ dev-python/jaraco-collections[${PYTHON_USEDEP}]
+ dev-python/jaraco-text[${PYTHON_USEDEP}]
+ dev-python/jaraco-itertools[${PYTHON_USEDEP}]
+ dev-python/jaraco-logging[${PYTHON_USEDEP}]
+ >=dev-python/jaraco-functools-1.5[${PYTHON_USEDEP}]
+ dev-python/pytz[${PYTHON_USEDEP}]
+"
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+ >=dev-python/setuptools_scm-1.9[${PYTHON_USEDEP}]
+ test? (
+ ${RDEPEND}
+ >=dev-python/pytest-2.8[${PYTHON_USEDEP}]
+ dev-python/pytest-runner[${PYTHON_USEDEP}]
+ dev-python/backports-unittest-mock[${PYTHON_USEDEP}]
+ )
+"
+
+python_compile_all() {
+ use doc && esetup.py build_sphinx
+}
+
+python_test() {
+ py.test || die "Tests failed with ${EPYTHON}"
+}
+
+python_install_all() {
+ use examples && local EXAMPLES=( scripts/. )
+ use doc && local HTML_DOCS=( "${BUILD_DIR}"/sphinx/html/. )
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/irc/metadata.xml b/dev-python/irc/metadata.xml
index 9a5995a5ee5..bbcbe68d404 100644
--- a/dev-python/irc/metadata.xml
+++ b/dev-python/irc/metadata.xml
@@ -1,13 +1,18 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
- <herd>python</herd>
+ <herd>proxy-maintainers</herd>
+ <maintainer>
+ <email>sautier.louis@gmail.com</email>
+ <name>Louis Sautier</name>
+ <description>Proxied maintainer; set to assignee in all bugs</description>
+ </maintainer>
<longdescription>
This project includes an event-driven IRC client framework written in Python,
as well as an object-oriented wrapper class and some example programs.
</longdescription>
<upstream>
<remote-id type="pypi">irc</remote-id>
- <remote-id type="bitbucket">jaraco/irc</remote-id>
+ <remote-id type="github">jaraco/irc</remote-id>
</upstream>
</pkgmetadata>
diff --git a/dev-python/jaraco-utils/jaraco-utils-10.0.2.ebuild b/dev-python/jaraco-utils/jaraco-utils-10.0.2.ebuild
index db543393554..fce7dbef1c7 100644
--- a/dev-python/jaraco-utils/jaraco-utils-10.0.2.ebuild
+++ b/dev-python/jaraco-utils/jaraco-utils-10.0.2.ebuild
@@ -17,7 +17,9 @@ SLOT="0"
KEYWORDS="amd64 x86"
IUSE="test"
-DEPEND="dev-python/hgtools[${PYTHON_USEDEP}]
+# The binary calc-prorate is now part of tempora
+DEPEND="!!dev-python/tempora[${PYTHON_USEDEP}]
+ dev-python/hgtools[${PYTHON_USEDEP}]
dev-python/six[${PYTHON_USEDEP}]
dev-python/more-itertools[${PYTHON_USEDEP}]
test? ( dev-python/pytest[${PYTHON_USEDEP}]
diff --git a/dev-python/tempora/tempora-1.4.ebuild b/dev-python/tempora/tempora-1.4.ebuild
index 197aaadaf2b..84d840306b6 100644
--- a/dev-python/tempora/tempora-1.4.ebuild
+++ b/dev-python/tempora/tempora-1.4.ebuild
@@ -20,7 +20,7 @@ IUSE="test"
# The binary calc-prorate used to be part of jaraco.util
DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
- !<=dev-python/jaraco-utils-10.0.2
+ !!<=dev-python/jaraco-utils-10.0.2
>=dev-python/setuptools_scm-1.9[${PYTHON_USEDEP}]
test? (
>=dev-python/pytest-2.8[${PYTHON_USEDEP}]